Hola, acabo de instalar solicitudes con pip pero no puedo importarlo

Por ejemplo mi código es:

import requests r = requests.get('https://www.python.org') r.status_code 

Y el resultado es:

 Traceback (most recent call last): File "C:\Users\Till\workspace\firstproject\Learning_python\Web_crawler.py", line 6, in  import requests File "C:\Python32\lib\site-packages\requests\__init__.py", line 64, in  from .models import Request, Response, PreparedRequest File "C:\Python32\lib\site-packages\requests\models.py", line 856 http_error_msg = u'%s Client Error: %s for url: %s' % (self.status_code, reason, self.url) ^ SyntaxError: invalid Syntax 

Las solicitudes requieren Python 3.3 o más reciente. No funciona en Python 3.2, ya que esa versión no admite la syntax de compatibilidad u'...' requerida para los literales de cadena.

De la documentación de requests :

Las solicitudes son oficialmente compatibles con Python 2.6–2.7 & 3.3–3.5, y se ejecutan muy bien en PyPy.

Tenga en cuenta que 3.2 es bastante … antiguo. Realmente desea actualizar a una revisión más reciente de Python 3.

Bueno, el problema es que las solicitudes requieren Python-3.3 o superior, por lo que deberá actualizar su Python. Noté que está en Windows, así que siga este enlace para descargar el instalador de la última versión estable de Python-3.5.2 ( https://www.python.org/ftp/python/3.5.2/python-3.5.2-webinstall.exe ).

Además, busque en virtualenvs ( https://virtualenv.pypa.io/en/stable/ ). Son una excelente manera de aislar los paquetes de Python que ha instalado y puede configurarlo para diferentes proyectos que pueden tener diferentes requisitos.